﻿using System;
using System.Collections.Generic;
using System.Data;

using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Documents.Excel;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{

    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("First Name");
        dt.Columns.Add("Last Name");

        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("First Name", "Name  " + i);
            row.SetField<string>("Last Name", "Last " + i); 
            dt.Rows.Add(row);
        }
        

        return dt;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebDataGrid1.DataSource = populateGrid();
            WebDataGrid1.DataBind();

        }
    }
    protected void exportButton_Click(object sender, EventArgs e)
    {
        string fileName = HttpUtility.UrlEncode("Excel formatted");
        this.WebExcelExporter1.DownloadName = fileName;
        
        
        
       
        Infragistics.Documents.Excel.Workbook workbook1 = new Infragistics.Documents.Excel.Workbook();
        

      

        Infragistics.Documents.Excel.Worksheet worksheet1 = workbook1.Worksheets.Add("Sheet1");

        //setting the grid cell for a title
        worksheet1.Rows[0].Cells[0].Value = this.WebDataGrid1.Rows[0].Items[0].Value;

     



        this.WebExcelExporter1.Export( this.WebDataGrid1, worksheet1, 2, 0);

    }

}